gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Multiline.TextMark

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods
- Attributes

Description

A position in the buffer preserved across buffer modifications

Synopsis

- data TextMark
- class GObjectClass o => TextMarkClass o
- castToTextMark :: GObjectClass obj => obj -> TextMark
- gTypeTextMark :: GType
- toTextMark :: TextMarkClass o => o -> TextMark
- type MarkName = DefaultGlibString
- textMarkNew :: Maybe MarkName -> Bool -> IO TextMark
- textMarkSetVisible :: TextMarkClass self => self -> Bool -> IO ()
- textMarkGetVisible :: TextMarkClass self => self -> IO Bool
- textMarkGetDeleted :: TextMarkClass self => self -> IO Bool
- textMarkGetName :: TextMarkClass self => self -> IO (Maybe MarkName)
- textMarkGetBuffer :: TextMarkClass self => self -> IO (Maybe TextBuffer)
- textMarkGetLeftGravity :: TextMarkClass self => self -> IO Bool
- textMarkName :: TextMarkClass self => ReadAttr self (Maybe MarkName)
- textMarkVisible :: TextMarkClass self => Attr self Bool
- textMarkLeftGravity :: TextMarkClass self => ReadAttr self Bool

# Detail

You may wish to begin by reading the text widget conceptual overview which gives an overview of all the objects and data types related to the text widget and how they work together.

A `TextMark` is like a bookmark in a text buffer; it preserves a position in the text. You can convert the mark to an iterator using `textBufferGetIterAtMark`. Unlike iterators, marks remain valid across buffer mutations, because their behavior is defined when text is inserted or deleted. When text containing a mark is deleted, the mark remains in the position originally occupied by the deleted text. When text is inserted at a mark, a mark with left gravity will be moved to the beginning of the newly-inserted text, and a mark with right gravity will be moved to the end.

Marks can be deleted from the buffer at any time with `textBufferDeleteMark`. Once deleted from the buffer, a mark is essentially useless.

Marks optionally have names; these can be convenient to avoid passing the `TextMark` object around.

Marks are typically created using the `textBufferCreateMark` function.

# Class Hierarchy

    | GObject
    | +----TextMark

# Types

data TextMark Source #

#### Instances

Instances details

Eq TextMark Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: TextMark -> TextMark -> Bool Source # (/=) :: TextMark -> TextMark -> Bool Source #
Ord TextMark Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods compare :: TextMark -> TextMark -> Ordering Source # (<) :: TextMark -> TextMark -> Bool Source # (<=) :: TextMark -> TextMark -> Bool Source # (>) :: TextMark -> TextMark -> Bool Source # (>=) :: TextMark -> TextMark -> Bool Source # max :: TextMark -> TextMark -> TextMark Source # min :: TextMark -> TextMark -> TextMark Source #
GObjectClass TextMark Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: TextMark -> GObject Source # unsafeCastGObject :: GObject -> TextMark Source #
TextMarkClass TextMark Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class GObjectClass o => TextMarkClass o Source #

#### Instances

Instances details

TextMarkClass TextMark Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToTextMark :: GObjectClass obj => obj -> TextMark Source #

gTypeTextMark :: GType Source #

toTextMark :: TextMarkClass o => o -> TextMark Source #

type MarkName = DefaultGlibString Source #

The name of a mark.

# Constructors

textMarkNew Source #

Arguments

:: Maybe MarkName | `markName` - name for mark, or `Nothing`
-> Bool | `leftGravity` - whether the mark has left gravity
-> IO TextMark |

Creates a text mark. Add it to a buffer using `textBufferAddMark`. If `name` is `Nothing`, the mark is anonymous; otherwise, the mark can be retrieved by this name using `textBufferGetMark`. If a mark has left gravity, and text is inserted at the mark's current location, the mark will be moved to the left of the newly-inserted text. If the mark has right gravity (`leftGravity` = `False`), the mark will end up on the right of newly-inserted text. The standard left-to-right cursor is a mark with right gravity (when you type, the cursor stays on the right side of the text you're typing).

- Available since Gtk+ version 2.12

# Methods

textMarkSetVisible :: TextMarkClass self => self -> Bool -> IO () Source #

Sets the visibility of `mark`; the insertion point is normally visible, i.e. you can see it as a vertical bar. Also, the text widget uses a visible mark to indicate where a drop will occur when dragging-and-dropping text. Most other marks are not visible. Marks are not visible by default.

textMarkGetVisible :: TextMarkClass self => self -> IO Bool Source #

Returns `True` if the mark is visible (i.e. a cursor is displayed for it)

textMarkGetDeleted :: TextMarkClass self => self -> IO Bool Source #

Returns `True` if the mark has been removed from its buffer with `textBufferDeleteMark`. Marks can't be used once deleted.

textMarkGetName :: TextMarkClass self => self -> IO (Maybe MarkName) Source #

Returns the mark name; returns `Nothing` for anonymous marks.

textMarkGetBuffer :: TextMarkClass self => self -> IO (Maybe TextBuffer) Source #

Gets the buffer this mark is located inside, or `Nothing` if the mark is deleted.

textMarkGetLeftGravity :: TextMarkClass self => self -> IO Bool Source #

Determines whether the mark has left gravity.

The name is misleading as Arabic, Hebrew and some other languages have the beginning of a line towards the right.

# Attributes

textMarkName :: TextMarkClass self => ReadAttr self (Maybe MarkName) Source #

Retrieves the name of a mark.

textMarkVisible :: TextMarkClass self => Attr self Bool Source #

The 'visible' property. See `textMarkGetVisible` and `textMarkSetVisible`

textMarkLeftGravity :: TextMarkClass self => ReadAttr self Bool Source #

Determines whether the mark keeps to the left when text is inserted at its position.